<?

function top_menu_title($title,$id,$alt='') {
  if ($alt=='') $alt=$title;
  $attr=tag_attr(array('class'=>'menu_title','href'=>'javascript:void(0)','onfocus'=>'this.blur()','title'=>$alt));
  return "<a $attr>$title</a>\n";
  }

function top_menu_item($text,$url,$title='',$aa=array()) {
  $a=array('class'=>'menu','onclick'=>'menu_off()','onmouseout'=>'return false');
  $a=array_merge($a,$aa);
  if ($title!='') $a['title']=$title;
  if ($url[0]=='^') { $url[0]=' '; $url=ltrim($url); $a['target']='_blank'; }
  if (isset($a['target'])) $a['href']=$url;
  else $a['href']="$url";
  $attr=tag_attr($a);
  return "<a $attr>$text</a>\n";
  }

function top_menu_main($text,$url,$title='',$aa=array()) {
  $aa=array_merge($aa,array('class'=>'title'));
  $tmi=top_menu_item($text,$url,$title,$aa);
  return "<td class='menu'>$tmi<br></td>\n";
  }

function top_menu_start($id,$width='auto') {
  $attr=tag_attr(array('id'=>$id,'class'=>'menu_hidden','style'=>"width:$width"));
  return "<div $attr>\n";
  }

function top_menu_end() {
  return "</div>\n";
  }

function top_menu_head($id) {
  $attr=tag_attr(array('class'=>'menu','onmouseover'=>"menu_on('$id')",'onmouseout'=>'menu_off();'));
  return "<td $attr>\n";
  }

function top_menu_tail() {
  return "</td>\n";
  }

function theme_top_menu() {
  global $CFG;
  $menu=make_menu();
  $s="<table class='menu'><tr>\n";
  $id=0;
  foreach ($menu as $cat=>$m) {
    if (count($m['list'])<1) continue;
    $id++;
    $s.=top_menu_head("menu_$id");
    $s.=top_menu_title($m['name'],"menu_$id",$m['name']);
    $s.=top_menu_start("menu_$id",'auto');
    $list=$m['list'];
    foreach ($list as $l) {
      $s.=top_menu_item($l['name'],$l['url'],$l['title']);
      }
    $s.=top_menu_end();
    $s.=top_menu_tail();
    }
  $s.="</tr></table>\n";
  return($s);
  }

?>